org.apache.coyote

## Interface Processor<S>

- All Known Implementing Classes:
    AbstractAjpProcessor, AbstractHttp11Processor, AbstractProcessor, AbstractProcessor, AjpAprProcessor, AjpNioProcessor, AjpProcessor, AprProcessor, BioProcessor, Http11AprProcessor, Http11NioProcessor, Http11Processor, NioProcessor, UpgradeAprProcessor, UpgradeBioProcessor, UpgradeNioProcessor, UpgradeProcessor

      public interface Processor<S>

  Common interface for processors of all protocols.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractEndpoint.Handler.SocketState` | `asyncDispatch(SocketStatus status)`
    `AbstractEndpoint.Handler.SocketState` | `asyncPostProcess()`
    `void` | `errorDispatch()`
    `AbstractEndpoint.Handler.SocketState` | `event(SocketStatus status)`
    `Executor` | `getExecutor()`
    `HttpUpgradeHandler` | `getHttpUpgradeHandler()`
    `Request` | `getRequest()`
    `UpgradeInbound` | `getUpgradeInbound()` Deprecated. Will be removed in Tomcat 8.0.x.
    `boolean` | `isAsync()`
    `boolean` | `isComet()`
    `boolean` | `isUpgrade()`
    `AbstractEndpoint.Handler.SocketState` | `process(SocketWrapper<S> socketWrapper)`
    `void` | `recycle(boolean socketClosing)`
    `void` | `setSslSupport(SSLSupport sslSupport)`
    `AbstractEndpoint.Handler.SocketState` | `upgradeDispatch()` Deprecated. Will be removed in Tomcat 8.0.x.
    `AbstractEndpoint.Handler.SocketState` | `upgradeDispatch(SocketStatus status)`

- - ### Method Detail

    - #### getExecutor

          Executor getExecutor()

    - #### process

          AbstractEndpoint.Handler.SocketState process(SocketWrapper<S> socketWrapper)
                                                       throws IOException

      Throws:
        `IOException`

    - #### event

          AbstractEndpoint.Handler.SocketState event(SocketStatus status)
                                                     throws IOException

      Throws:
        `IOException`

    - #### asyncDispatch

          AbstractEndpoint.Handler.SocketState asyncDispatch(SocketStatus status)

    - #### asyncPostProcess

          AbstractEndpoint.Handler.SocketState asyncPostProcess()

    - #### getUpgradeInbound

          @Deprecated
          UpgradeInbound getUpgradeInbound()

      Deprecated. Will be removed in Tomcat 8.0.x.

    - #### upgradeDispatch

          @Deprecated
          AbstractEndpoint.Handler.SocketState upgradeDispatch()
                                                               throws IOException

      Deprecated. Will be removed in Tomcat 8.0.x.
      Throws:
        `IOException`

    - #### getHttpUpgradeHandler

          HttpUpgradeHandler getHttpUpgradeHandler()

    - #### upgradeDispatch

          AbstractEndpoint.Handler.SocketState upgradeDispatch(SocketStatus status)
                                                               throws IOException

      Throws:
        `IOException`

    - #### errorDispatch

          void errorDispatch()

    - #### isComet

          boolean isComet()

    - #### isAsync

          boolean isAsync()

    - #### isUpgrade

          boolean isUpgrade()

    - #### getRequest

          Request getRequest()

    - #### recycle

          void recycle(boolean socketClosing)

    - #### setSslSupport

          void setSslSupport(SSLSupport sslSupport)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.